package com.prolog.eis.service.wcs;

import com.prolog.eis.dto.wcs.*;
import com.prolog.eis.inter.dto.mcs.ZxMcsExitRequestDto;
import com.prolog.eis.inter.dto.mcs.ZxMcsExitResponseDto;

import java.util.List;

public interface WcsService {
    List<McsResponseDto> mcsRequest(CarryListDto carryListDto);

    /**
     * 托盘回退
     *
     * @param bcrRequestDto
     * @param message
     * @throws Exception
     */
    void traySendBack(BcrRequestDto bcrRequestDto, String message);

    List<ZxMcsExitResponseDto> getExitStatus(List<ZxMcsExitRequestDto> list) throws Exception;

    void stackerRequest(StackerTaskDto taskDto) throws Exception;

    void alarmReport(AlarmReportDto taskDto);
}
